function [f,v]=diagramme(ech)


// Trace le diagramme en btons d'un chantillon et retourne les valeurs de l'chantillon ainsi que les frquences associes
// Paramtres d'entre : 
//                     ech = vecteur des valeurs de l'chantillon
// Paramtres de sortie : 
//                     v = vecteur des valeurs prises par l'chantillon
//                     f = vecteur des frquences des valeurs de l'chantillon



taille=size(ech,"*");                  // Taille de l'chantillon

// Calcul de v

v=[ech(1)];                            // Initialisation de v
for k=2:taille,			       // Parcours de l'chantillon
    if ech(k)~=v then,                 // si la valeur de l'chantillon est nouvelle
       v=[v,ech(k)];                   // alors on la rajoute  v
    end;
end;
v=gsort(v,"c","i");                    // tri des valeurs trouves
nbval=size(v,"*");                     // nombre de valeurs diffrentes dans l'chantillon

// Calcul de f

effectifs=[];                          // initialisation des effectifs
for k=1:nbval,                         // Parcours des valeurs
    e=sum(ech==v(k));                  // Calcul de l'effectif de v(k)
    effectifs=[effectifs,e];           // Ajout de cet effectif
end;
f=effectifs/sum(effectifs);            // Calcul des frquences

// Diagramme en btons
plot2d3([v],f,rect=[min(v)-1,0,max(v)+1,max(f)]);
a=gca();
a.children.parent.title.text="Diagramme en btons des frquences";
a.children.parent.title.font_size=3; 
a.children.parent.x_label.text="Valeurs";
a.children.parent.x_label.font_size=2;
a.children.parent.y_label.text="Frquences";
a.children.parent.y_label.font_size=2;
a.children.children.thickness=12;

endfunction;

